Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal
Class DefaultDomainObjectContainer

    java.lang.Object
      org.gradle.api.internal.AbstractDomainObjectCollection
          org.gradle.api.internal.DefaultDomainObjectContainer

All Implemented Interfaces:
  DomainObjectContainer

    class DefaultDomainObjectContainer
    extends AbstractDomainObjectCollection

Nested Class Summary
`class` | `DefaultDomainObjectContainer.FilteredStore`
`class` | `DefaultDomainObjectContainer.MapStore`
`interface` | `DefaultDomainObjectContainer.Store`

Constructor Summary
`DefaultDomainObjectContainer(java.lang.Class type)`
`protected DefaultDomainObjectContainer(java.lang.Class type, Store store)`

Method Summary
`protected void` | `addObject(java.lang.String name, T object)` Adds a domain object to this container.
`Rule` | `addRule(Rule rule)`
`Rule` | `addRule(java.lang.String description, Closure ruleAction)`
`protected UnknownDomainObjectException` | `createNotFoundException(java.lang.String name)`
`T` | `findByName(java.lang.String name)`
`java.util.Map` | `getAsMap()`
`java.lang.String` | `getDisplayName()`
`java.util.List` | `getRules()`
`protected java.lang.Class` | `getType()`
`DomainObjectCollection` | `matching(Spec spec)`
`protected Store` | `storeWithSpec(Spec spec)`
`protected Store` | `storeWithType(java.lang.Class type)`
`Action` | `whenObjectAdded(Action action)`
`void` | `whenObjectAdded(Closure action)`
`Action` | `whenObjectRemoved(Action action)`
`DomainObjectCollection` | `withType(java.lang.Class type)`

Methods inherited from class AbstractDomainObjectCollection
allObjects, allObjects, createNotFoundException, findAll, getAll, getAsDynamicObject, getAt, getByName, getByName, getDisplayName, iterator, methodMissing, propertyMissing

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### DefaultDomainObjectContainer

    public DefaultDomainObjectContainer(java.lang.Class type)

### DefaultDomainObjectContainer

    protected DefaultDomainObjectContainer(java.lang.Class type, Store store)

Method Detail

### addObject

    protected void addObject(java.lang.String name, T object)

  Adds a domain object to this container.
  param:
    name The name of the domain object.
  param:
    object The object to add

### addRule

    public Rule addRule(Rule rule)

### addRule

    public Rule addRule(java.lang.String description, Closure ruleAction)

### createNotFoundException

    protected UnknownDomainObjectException createNotFoundException(java.lang.String name)

### findByName

    public T findByName(java.lang.String name)

### getAsMap

    public java.util.Map getAsMap()

### getDisplayName

    public java.lang.String getDisplayName()

### getRules

    public java.util.List getRules()

### getType

    protected java.lang.Class getType()

### matching

    public DomainObjectCollection matching(Spec spec)

### storeWithSpec

    protected Store storeWithSpec(Spec spec)

### storeWithType

    protected Store storeWithType(java.lang.Class type)

### whenObjectAdded

    public Action whenObjectAdded(Action action)

### whenObjectAdded

    public void whenObjectAdded(Closure action)

### whenObjectRemoved

    public Action whenObjectRemoved(Action action)

### withType

    public DomainObjectCollection withType(java.lang.Class type)

Groovy Documentation